
* {
    padding:0;
    margin:0;
}

body.dark {
    background-color: #333;
}

body {
    font-family: sans-serif;
}

header {
    float:right;
}

nav {
    /*background-color: #ccc;*/
}
body.dark nav {
    /*background-color: #444;*/
}

main {
    max-width: 60rem;
    margin: auto;
}

#content {
    background-color: #ccc;
    padding: 20px;
    margin-top: 44px;
    border-radius: 15px;
}


#content p img {
    display: block;
    width: 80%;
    margin: auto;
    padding: 12px;
}

body.dark #content {
    background-color: #222;
    color: #edc;
}

body.dark a {
    color: #a0dd30;
}

footer {
    background-color: #111;
    color:#fff;
    
    margin-top: 150px;
    padding: 20px;
}

h1 {
    padding: 2rem;
    color: #5cd;
}

h2, h3, h4 {
    padding: 1rem;
}

main {
    padding: 15px;
}
section {
    padding: 15px;
    margin-bottom: 4rem;
}

div, ul, p {
    padding: 5px;
    margin: 3px;
}

ul {
    margin-left: 3rem;
}

pre {
    margin: 12px;
    color: #8ce;
}

.tile {
    display: block;
    text-decoration: none;
}

.article-preview {
    overflow:hidden;
    margin: 0;
    padding:0;
    display: block;
    background-color: #444;
    color: #eee;
    transition: 200ms linear;
    font-size: 1rem;
    border-radius: 12px;
}

.article-preview .preview-img {
    display: inline-block;
    overflow: hidden;
    width: 120px;
    height: 100px;
}

.preview-img img {
    height: 100px;
    width:fit-content;
}

.article-preview .preview-text {
    display: inline;
    padding: 25px;
}

.article-preview:hover {
    background-color: #666;
}

.article-preview h1 {
    padding: 12px;
}

.article-preview p {
    padding: 12px;
}

.article-preview h1 {
    font-size: 1.2rem;
    color: #cc3;
    display: inline;
}
